---
id: intro
title: Intro
sidebar_label: Introduction
slug: /
---

The DTACT company's main product is Raven a cloud-based data **security** analysis and enrichment application that is used to
create custom-made **data analysis flows**. Furthermore, the company is small in size, yet international both in location
and in the work environment. The main product of the company has been launched at the beginning of the year and has been
continuously improved and upgraded.

In order to diversify their client reach, they want to find ways to expand the portability of the product to more cloud
platforms. However, they cannot simply create a new environment without implementing the same level of **security** in their
infrastructure. Therefore, my project aims to research and create a proof of concept for creating a similar evironment to the
existing automated [AWS](../../portofolio/glossary#aws-amazon-web-services) deployment environment in an Azure-based
environment using **provisioning** and **infrastructure as code** tools to ensure a **secure** pipeline and
**management structure**. Hence the main question:

```
 How can I create the safest Azure infrastructure for the
 DTACT products taking into consideration the current
 technologies used by the company, the limitations of the
 company, and that are fully operational given the
 timeframe of the internship?
```

## Detailed introduction
The goal in cyber security is to look after **security threats** in order to discover them, and be able to monitor, mitigate
and protect against them. Security experts are expected to **understand** and to be able to **analyze** the system they are
protecting. The infrastructure of the applications themselves is the **first level of security** that can be secured and is
often the **most vulnerable**.

How to ensure the most secure environment for your applications? First, you need to have **control over your environment**.
With the rise of cloud computing, most companies opt to develop their products in the cloud environment. This gives the security
engineers an array of tools that they can utilize to **secure** the environment. Because the environment is digital all
servers, databases, and computing needed are easily managed through APIs, provisioning tools, and easy-to-use dashboards.
But as the environment becomes more and more **complex** and user-rich it also becomes **harder to manage**.

An innovative solution for this problem is provided by **provisioning and orchestration tools** , a new innovative solution designed to help businesses protect
against identity abuse by **securely automating IT tasks**, facilitating secure self-service, and providing the accurate
audits of all events, infrastructure, and services used.

As in any IT environment, there are **multiple layers** that need to be taken into consideration when ensuring security features.
The most important one after infrastructure itself is **user governance**, making sure that all users and roles assigned inside the environment possess the
a minimal amount of authority that still satisfies their goals.

Furthermore, managing machines in the cloud requires managing **network access** to the machines themselves, this leads to
**networking security**. Securing the network rules, the VPC (virtual private cloud) groups while maintaining a working network of machines is **another level of security** 
that needs to be closely managed. Lastly, all activity inside the environment must be **monitored** to be able to react and prevent to intrusion in real-time.

DTACT aims to create a new Azure environment provisioning for their product in order to diversify their reach to clients and supply
their clients with a custom solution. The **aim of this project** is to research how secure provisioning of an Azure environment can be
achieved. This will expand the reach of their data-monitoring solution Raven to more of their potential clients and help the company
achieve **their goal** of making their product cloud agnostic in the future by being portable to the big vendors in the cloud
industry.


<!-- import { Button } from "./button" -->

## Links to materials
----------------------------------------------------------
### [AMA Sources](../../static/documents/CollectionOfUsedSources.pdf) 
-----------------------------------------------------------
### [Reading Guide](../../static/documents/ReadingGuide.pdf)
-----------------------------------------------------------
<!-- export default Button -->